### Method

# GtkSource Language get_style_name

#### Declaration [src]

    const gchar*
    gtk_source_language_get_style_name (
      GtkSourceLanguage* language,
      const gchar* style_id
    )

#### Description [src]

Returns the name of the style with ID `style_id` defined by this `language`.

#### Parameters

`style_id`

  Type: `const gchar*`

  A style ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

The name of the style with ID `style_id` defined by this `language` or `NULL` if the style has no name or there is no style with ID `style_id` defined by this `language`. The returned string is owned by the `language` and must not be modified.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.